<?php
/**
 * header.php
 *
 * The header for the theme.
 */
?>

<?php
// Get the favicon.
$favicon = IMAGES . '/icons/favicon.png';

// Get the custom touch icon.
$touch_icon = IMAGES . '/icons/apple-touch-icon-152x152-precomposed.png';
?>

<!DOCTYPE html>
<!--[if IE 8]>
<html <?php language_attributes(); ?> class="ie8"> <![endif]-->
<!--[if !IE]><!-->
<html <?php language_attributes(); ?>> <!--<![endif]-->

<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<title><?php wp_title( '|', true, 'right' ); ?><?php bloginfo( 'name' ); ?></title>
	<meta name="description" content="<?php bloginfo( 'description' ); ?>">

	<!-- Mobile Specific Meta -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

	<!--[if lt IE 9]>
	<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->


	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>


<header>
	<div class="top-nav">
		<div class="container">
			<div class="row">
				<div class="col-md-6 col-sm-6">
					<?php get_search_form(); ?>
				</div>
				<div class="col-md-6 col-sm-6">
					<div class="social-wrapper">
						<ul class="social list-inline">
							<?php if(get_field('fb','options')): ?>
							<li><a href="<?php the_field('fb','options'); ?>"><i class="fa fa-facebook"></i></a></li>
							<?php endif; ?>
							<?php if(get_field('tw','options')): ?>
							<li><a href="<?php the_field('tw','options'); ?>"><i class="fa fa-twitter"></i></a></li>
								<?php endif; ?>
							<?php if(get_field('yt','options')): ?>
							<li><a href="<?php the_field('yt','options'); ?>"><i class="fa fa-youtube"></i></a></li>
								<?php endif; ?>
							<?php if(get_field('gp','options')): ?>
							<li><a href="<?php the_field('gp','options'); ?>"><i class="fa fa-google-plus"></i></a></li>
								<?php endif; ?>
							<?php if(get_field('insta','options')): ?>
							<li><a href="<?php the_field('insta','options'); ?>"><i class="fa fa-instagram"></i></a></li>
								<?php endif; ?>
							<?php if(is_rtl()) : ?>
							<li><a href="<?php echo home_url() ?>" class="ar"></a></li>
							<li><a href="<?php echo home_url(); ?>/en" class="en"></a></li>
							<?php else : ?>
							<li><a href="<?php echo site_url() ?>" class="ar"></a></li>
							<li><a href="<?php echo home_url(); ?>" class="en"></a></li>
							<?php endif; ?>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="menu-logo">
		<div class="container">
			<div class="row">
				<div class="col-md-3 col-sm-3">
					<div class="logo">
						<a href="<?php echo home_url(); ?>"><img src="<?php the_field('logo','options'); ?>" alt="" class="img-responsive"></a>
					</div>
				</div>
				<div class="col-md-9 col-sm-9">

					<nav class="navbar navbar-default">
						<div class="container-fluid">
							<!-- Brand and toggle get grouped for better mobile display -->
							<div class="navbar-header">
								<button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
								        data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
									<span class="sr-only">Toggle navigation</span>
									<span class="icon-bar"></span>
									<span class="icon-bar"></span>
									<span class="icon-bar"></span>
								</button>
							</div>

							<?php
							wp_nav_menu( array(
									'menu'              => 'main-menu',
									'theme_location'    => 'main-menu',
									'depth'             => 2,
									'container'         => 'div',
									'container_class'   => 'collapse navbar-collapse',
									'container_id'      => 'bs-example-navbar-collapse-1',
									'menu_class'        => 'nav navbar-nav',
									'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
									'walker'            => new wp_bootstrap_navwalker())
							);
							?>
						</div><!-- /.container-fluid -->
					</nav>


				</div>
			</div>
		</div>
	</div>

</header>


