<?php
/* Template Name: products */; ?>


<?php get_header();
wp_reset_query(); ?>
<section class="bread">
	<div class="container">
		<div class="breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
			<?php if ( function_exists( 'bcn_display' ) ) {
				bcn_display();
			} ?>
		</div>
	</div>
</section>


<section class="products-page related-products">
	<div class="container">
		<div class="post-filters">
			<form id="category-select" class="category-select" action="
		<?php echo esc_url( home_url() ); ?>/" method="get">
				<?php $args = array(
					'show_option_none'  => __('اختر قسم لفرز المنتجات ..','alpha'),
					'option_none_value' => 'none',
					'orderby'           => 'ID',
					'order'             => 'ASC',
					'show_count'        => 0,
					'hide_empty'        => 0,
					'child_of'          => 0,
					'exclude'           => '',
					'echo'              => 1,
					'selected'          => 1,
					'hierarchical'      => 0,
					'name'              => 'products',
					'id'                => '',
					'class'             => 'postform',
					'depth'             => 0,
					'tab_index'         => 0,
					'taxonomy'          => 'products',
					'hide_if_empty'     => false,
					'value_field'       => 'slug',
				); ?>
				<?php wp_dropdown_categories( $args ); ?>
				<input type="submit" name="submit" value="<?php _e('عرض','alpha'); ?>" class="btn btn-gray"/>
			</form>
		</div>
		<div class="row">
			<?php $i = 1; ?>
			<?php
			global $paged;
			if ( get_query_var( 'paged' ) ) {
				$my_page = get_query_var( 'paged' );
			} else {
				if ( get_query_var( 'page' ) ) {
					$my_page = get_query_var( 'page' );
				} else {
					$my_page = 1;
				}
				set_query_var( 'paged', $my_page );
				$paged = $my_page;
			}; ?>


			<?php $products = new WP_Query( array(
				'post_type'      => 'shop',
				'posts_per_page' => 20,
				'paged'          => $my_page
			) );


			?>
			<?php while ( $products->have_posts() ) : $products->the_post(); ?>
				<div class="col-md-3 col-sm-6">
					<div class="single-product">
						<div class="product-img">
							<?php echo get_the_post_thumbnail( $post->ID, 'full', array( 'class' => 'img-responsive' ) ); ?>

						</div>
						<div class="title">
							<p><?php the_title(); ?></p>
							<?php $z = get_the_terms( $post->ID, 'products' ); ?>
							<?php foreach ( $z as $sec ) : ?>
								<strong><a href="<?php echo get_term_link($sec); ?>"><?php echo $sec->name; ?></a></strong>
							<?php endforeach; ?>


						</div>

						<div class="btn-group btn-group-justified" role="group" aria-label="...">
							<a href="<?php the_permalink(); ?>"
							   class="btn btn-primary details-btn"> <?php _e( 'التفاصيل', 'alpha' ); ?></a>
							<a href="<?php the_permalink(); ?>"
							   class="btn btn-primary price-btn"> <?php the_field( 'price' ); ?><b><?php the_field( 'currency' ); ?></b></a>
						</div>
					</div>
				</div>

			<?php endwhile; ?>
			<div class="pagination text-center col-md-12">
				<?php wp_pagenavi( array( 'query' => $products ) );
				wp_reset_query(); ?>
			</div>
		</div>
	</div>
</section>


<?php get_footer(); ?>





