<?php get_header();
wp_reset_query(); ?>
<section class="bread">
	<div class="container">
		<div class="breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
			<?php if ( function_exists( 'bcn_display' ) ) {
				bcn_display();
			} ?>
		</div>
	</div>
</section>
<br>


<section class="product-container">
	<div class="container">
		<div class="the-product">
			<div class="row">
				<div class="col-md-6">
					<div class="product-gallery">
						<div class="main-img">
							<?php if ( $images = get_field( 'gallery' ) ): $img0 = $images[0]?>

								<a href="<?php echo $img0['url']; ?>" rel="lightbox[all]">
									<img src="<?php echo $img0['url']?>"
									     alt="<?php echo $img0['alt']; ?>" class="img-responsive"/>
								</a>
							<?php else : ?>
								<?php echo get_the_post_thumbnail( $post->id, 'full', array( 'class' => 'img-responsive' ) ); ?>
							<?php endif; ?>
						</div>
						<div class="thumbs">
							<?php
							if ( $images ): ?>
								<ul class="list-inline text-center">
									<?php foreach ( $images as $image ): ?>
										<li>
											<a href="<?php echo $image['url']; ?>" rel="lightbox[all]">
												<img src="<?php echo $image['url']; ?>"
												     alt="<?php echo $image['alt']; ?>"/>
											</a>
											<p><?php echo $image['caption']; ?></p>
										</li>
									<?php endforeach; ?>
								</ul>
							<?php endif; ?>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<div class="product-info">
						<h1 class="title"><?php the_title(); ?></h1>
						<div class="rate">
							<?php if(function_exists('the_ratings')) { the_ratings(); } ?>
						</div>
						<p class="desc"><?php the_content(); ?></p>
						<?php if ( function_exists( 'ADDTOANY_SHARE_SAVE_KIT' ) ) { ADDTOANY_SHARE_SAVE_KIT(); } ?>

						<p class="price"><span
								class="price-label"> <?php _e( 'السعر', 'alpha' ); ?></span><?php the_field( 'price' ); ?>
							<b><?php the_field( 'currency' ); ?></b></p>
						<button type="button" class="btn btn-yellow" data-toggle="modal" data-target="#myModal">
							<i
								class="fa fa-shopping-basket"></i><?php _e( 'اطلب الآن', 'alpha' ); ?>
						</button>
						<hr>
						<p class="cats">
							<?php _e( 'التصنيف :', 'alpha' ); ?>
							<?php $z = get_the_terms( $post->ID, 'products' ); ?>
							<?php foreach ( $z as $sec ) : ?>
								<strong><a
										href="<?php echo get_term_link( $sec ); ?>"><?php echo $sec->name; ?></a></strong>
							<?php endforeach; ?>
						</p>

					</div>
				</div>
			</div>
		</div>
		<!-- Modal -->
		<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
			<div class="modal-dialog" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
						<h4 class="modal-title" id="myModalLabel">"<?php _e('ارسال طلب','alpha')?> <strong><?php the_title(); ?></strong>"</h4>
					</div>
					<div class="modal-body">
						<?php if(is_rtl()) :?>
						<?php echo do_shortcode('[contact-form-7 id="57" title="طلب منتج"]');
						else :
						echo do_shortcode('[contact-form-7 id="135" title="item-order"]');
						endif;
						?>

					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default" data-dismiss="modal"><?php _e('اغلاق','alpha'); ?></button>
					</div>
				</div>
			</div>
		</div>
		<div class="desc-comments">
			<div class="row">
				<div class="col-xs-3"> <!-- required for floating -->
					<!-- Nav tabs -->
					<ul class="nav nav-tabs tabs-right">
						<li class="active"><a href="#home-r" data-toggle="tab"><?php _e('وصف المنتج','alpha'); ?></a></li>
						<li><a href="#profile-r" data-toggle="tab"><?php _e('التعليقات','alpha'); ?></a></li>
					</ul>
				</div>
				<div class="col-xs-9">
					<!-- Tab panes -->
					<div class="tab-content">
						<div class="tab-pane active in fade" id="home-r"><?php the_content(); ?></div>
						<div class="tab-pane fade" id="profile-r">
							<?php comments_template(); ?>
						</div>
					</div>
				</div>
			</div>


		</div>
	</div>

</section>


<?php get_footer(); ?>



